# --
# This software comes with ABSOLUTELY NO WARRANTY. For details, see
# the enclosed file COPYING for license information (AGPL). If you
# did not receive this file, see http://www.gnu.org/licenses/agpl.txt.
#
#
# Translations for NewTicketWizard - SeTIC - UFSC - http://setic.ufsc.br/
# Rodrigo Gonçalves - rodrigo.g@ufsc.br
# 
# Version 2015-08-01 - Adjustments for OTRS 4
# Version 2017-06-16 - Support for bootstrap version
# Version 2017-12-18 - Support for OTRS 6
#
# --
package Kernel::Language::pt_BR_NewTicketWizard;

use strict;
use warnings;
use utf8;

sub Data {
    my $Self = shift;
	
	
	# Config strings
	$Self->{Translation}->{'Front-end module registration for the customer interface'} = 'Registro do módulo de interface para o cliente';
	$Self->{Translation}->{'Module for creating custom new tickets'} = 'Módulo para criar novos tickets personalizados';
	$Self->{Translation}->{'Front-end module loader for the customer interface'} = 'Carregador para o módulo de interface do usuário';
	$Self->{Translation}->{'Front-end module main menu item registration'} = 'Registro do item de menu';
	$Self->{Translation}->{'New ticket'} = 'Novo ticket';
	$Self->{Translation}->{'Describe the form basic schema (AlpacaJS Syntax). "DF_*" identify dynamic fields. CF_SCHEMA placeholder gets replaced by the services custom fields. It must be followed by a comma (,) and have no preceeding comma (,). See the package documentation for examples'} = 'Descreva o schema básico dos dados (sintaxe AlpacaJS). "DF_*" identifica campos dinâmicos. CF_SCHEMA é substituído pelos campos personalizados do serviço. Deve ser seguido por vírgula (,) e não ter vírgula (,) antes. Veja a documentação do pacote para exemplos.';
	$Self->{Translation}->{'Describe the form basic fields  (AlpacaJS Syntax). "DF_*" identify dynamic fields. CF_FORM placeholder gets replaced by the services custom fields. It must be followed by a comma (,) and have no preceeding comma (,). See the package documentation for examples'} = 'Descreva o schema básico do formulário (sintaxe AlpacaJS). "DF_*" identifica campos dinâmicos. CF_FORM é substituído pelos campos personalizados do serviço. Deve ser seguido por vírgula (,) e não ter vírgula (,) antes. Veja a documentação do pacote para exemplos.';
	$Self->{Translation}->{'Initial message orienting the user to choose a service'} = 'Mensagem inicial orientando o usuário a escolher o serviço';
	$Self->{Translation}->{'Name of the field in the form which indicates the queue to send the ticket. Non-obligatory.'} = 'Nome do campo do formulário que ajuda a identificar a fila destino do ticket. Não-obrigatório.';
	$Self->{Translation}->{'When the queue comes from a field in the form, a prefix can be attached to the value while searching for the queue. A space is added between this and the queue name.'} = 'Quando a fila pode ser identificada de um campo do formulário, um prefixo pode ser adicionado ao nome da mesma antes de localizá-la. Um espaço é sempre incluído entre estre prefixo e o nome da fila.';
	$Self->{Translation}->{'When false, forces the queue to be pre-selected'} = 'Quando falso, força o fila a ser pré-selecionada';
	$Self->{Translation}->{'Custom template suffix for header and footer, to be loaded from the templates'} = 'Sufixo que indica os modelos customizados de templates de rodapé e cabeçalho.';
	$Self->{Translation}->{'Frontend module registration for image uploading in public environment'} = 'Registro do módulo para envio de imagens em ambiente público';
	$Self->{Translation}->{'Picture upload module'} = 'Módulo de envio de imagens';
	$Self->{Translation}->{'Picture upload'} = 'Envio de imagens';
	$Self->{Translation}->{'Frontend module registration for the agent interface service forms editor'} = 'Registro de interface para o editor de formulários de serviço.';
	$Self->{Translation}->{'Loader module registration for the agent services forms editor interface'} = 'Carregador do módulo editor de formulários de serviço';
	$Self->{Translation}->{'Main menu item registration'} = 'Registro do item do menu principal';
	$Self->{Translation}->{'Admin area navigation for the agent interface'} = 'Área administrativa para o agente';
	$Self->{Translation}->{'Service forms'} = 'Formulários de serviço';
	$Self->{Translation}->{'Create and manage service forms'} = 'Cria e gerencia formulários de serviço';
	$Self->{Translation}->{'Customer ID to use when public ticket is created, since the public user has no customerID'} = 'ID de usuário a utilizar no caso de tickets abertos pela interface pública.';
	$Self->{Translation}->{'Default agent for created tickets. Per-default it is 1 (OTRS Admin)'} = 'Agente padrão para novos tickets. Por padrão é 1 (OTRS Admin)';
	$Self->{Translation}->{'Default domain for user e-mails. This setting helps the module finding the associated user automatically through the e-mail, even though he didn\'t use the authenticated customer interface'} = 'Domínio padrão para e-mails de usuário. Esta configuração ajuda o módulo a encontrar o usuário associado pelo e-mail, mesmo que não tenha sido usada a interface de autenticação.';
	$Self->{Translation}->{'Module registration for NewTicketWizardPublic module'} = 'Registro do módulo NewTicketWizardPublic';
	$Self->{Translation}->{'Module for creating custom new tickets in public interface'} = 'Módulo para criar novos tickets na interface pública';
	$Self->{Translation}->{'Loader module registration for the public new ticket interface'} = 'Carregador do módulo para criar novos tickets na interface pública';
	$Self->{Translation}->{'Main menu item registration for the public interface'} = 'Item de menu para interface pública';
	$Self->{Translation}->{'New ticket wizard public'} = 'Novo assistente de ticket público';
	$Self->{Translation}->{'New ticket public'} = 'Novo ticket público';
	$Self->{Translation}->{'Authenticated user'} = 'Usuário autenticado';
	


	# New ticket strings
	$Self->{Translation}->{'The following maintenances are in progress'} = 'As seguintes manutenções estão ocorrendo';
	$Self->{Translation}->{'Started at: '} = 'Iniciada em:';
	$Self->{Translation}->{'Please fill the following form to open your ticket'} = 'Por favor preencha o formulário para abrir seu chamado';
	$Self->{Translation}->{'Ticket created'} = 'Ticket criado com sucesso';
	$Self->{Translation}->{'Your ticket has been registered with the number: '} = 'Seu ticket foi registrado com sucesso! O número é: ';
	$Self->{Translation}->{'Click here to open another ticket'} = 'Clique aqui para abrir um outro ticket se desejar';
	# @TODO - em revisão...
	
	
#	$Self->{Translation}->{'Queues panel'} = 'Novo chamado';
#	
#    $Self->{Translation}->{'New ticket wizard'} = 'Assistente de novo chamado';   
#    $Self->{Translation}->{'New ticket'} = 'Novo chamado';
#    $Self->{Translation}->{'Service forms'} = 'Formulários de serviços';
#    $Self->{Translation}->{'Service form'} = 'Formulários de serviço';
#    $Self->{Translation}->{'Create and manage service forms.'} = 'Criar e gerenciar formulários de serviços';
#    $Self->{Translation}->{'Introduction'} = 'Introdução';
#    $Self->{Translation}->{'Form'} = 'Formulário';
#    $Self->{Translation}->{'Choose the service to ask for support'} = 'Escolha o servi&ccedil;o para o qual deseja suporte';
#    
#            
    return 1;
}

1;